<mat-form-field>
  <label>
    <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Поиск">
  </label>
</mat-form-field>
<div class="example-table-container">
<table mat-table [dataSource]="dataSource" matSortDisableClear  matSort class="mat-elevation-z8">

  <!-- Position Column -->
  <ng-container matColumnDef="id">
    <th mat-header-cell *matHeaderCellDef mat-sort-header disableClear> ID Водителя </th>
    <td mat-cell *matCellDef="let element"> {{element.id}} </td>
  </ng-container>

  <!-- Name Column -->
  <ng-container matColumnDef="name">
    <th mat-header-cell *matHeaderCellDef mat-sort-header disableClear> ФИО </th>
    <td mat-cell *matCellDef="let element"> {{element.name}} </td>
  </ng-container>

  <ng-container matColumnDef="phone">
    <th mat-header-cell *matHeaderCellDef > Телефон </th>
    <td mat-cell *matCellDef="let element"> {{element.phone}} </td>
  </ng-container>

  <!-- Weight Column -->
  <ng-container matColumnDef="balance">
    <th mat-header-cell *matHeaderCellDef mat-sort-header disableClear> Баланс </th>
    <td mat-cell *matCellDef="let element"> {{element.balance}} </td>
  </ng-container>

  <!-- Symbol Column -->
  <ng-container matColumnDef="auto">
    <th mat-header-cell *matHeaderCellDef > Автомобиль </th>
    <td mat-cell *matCellDef="let element"> {{element.auto}} </td>
  </ng-container>

  <ng-container matColumnDef="isBlock">
    <th mat-header-cell *matHeaderCellDef mat-sort-header disableClear> Заблокирован </th>
    <td mat-cell *matCellDef="let element"> {{element.isBlock}} </td>
  </ng-container>

  <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
  <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
</table>

</div>
<mat-paginator [length]="length"
               [pageSize]="pageSize"
               [pageSizeOptions]="pageSizeOptions">
</mat-paginator>
